{% extends 'static.html' %} {% block content %}
<title>Daftar Hewan Adopsi</title>
<script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
 {% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br>
<style>
    .containers {
        padding: 16px 16px;
        width: 300px;
        height: 300px;
    }
    
    .custom-table {
        background-color: #ebf2f5;
    }
</style>

<body style="background-color: rgb(255, 255, 255);">
    <div class="container">
            <div class="col-md-8">
                <a href="/adopsi" class="text-left">
                    <p> <i class="fa-solid fa-chevron-left"></i>&nbsp;&nbsp; Daftar Hewan Adopsi</p>
                </a>
            </div>
            <br><br>
            <h2 style="color:#080808;font-family: 'Poppins', sans-serif;font-size: 36px;font-weight: 600;">Daftar Adopsi Anda</h2>
            <br>
            <div class="tab-content">
            {% if reg_adopsi %}
                <div class="wrap">
                    <table class="table table-bordered border-dark">
                        <thead class="table-dark">
                            <tr>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">No</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Nama</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Jenis</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Ras</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Warna</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Status</th>                            
                            </tr>
                        </thead>
                        <tbody>
                            {% for i in reg_adopsi %}
                            <tr>
                                <td style="font-family: 'Poppins', sans-serif; font-weight: bold;">{{ forloop.counter }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ i.hewan.nama }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ i.hewan.jenis }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ i.hewan.ras }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ i.hewan.warna }}</td>                           
                                <!-- <td style="font-family: 'Poppins', sans-serif;">{{ i.status }}</td> -->
                                {% if i.status == 'Menunggu konfirmasi' %}
                                <td>
                                    <p style="text-align: center; 
                                    font-weight: bold; 
                                    background-color:orange; 
                                    border: 1px solid orange; 
                                    padding: 3px; 
                                    border-radius: 10px;">{{i.status}}</p>
                                </td>
                                {% elif i.status == 'Disetujui' %}
                                <td>
                                    <p style="text-align: center; 
                                    font-weight: bold; 
                                    background-color:greenyellow; 
                                    border: 1px solid greenyellow; 
                                    padding: 3px; 
                                    border-radius: 10px;">{{i.status}}</p>
                                </td>
                                {% else %}
                                <td>
                                    <p style="text-align: center; 
                                    font-weight: bold; 
                                    color: white;
                                    background-color:red; 
                                    border: 1px solid red; 
                                    padding: 3px; 
                                    border-radius: 10px;">{{i.status}}</p>
                                </td>
                                {% endif %}
                                            
                            </tr>
                            {% endfor %} 
                        </tbody>
                    </table>
                </div>
            {% else %}
            <br>
            <br>
            <p class="col-sm-12 text-left" style="color: #17177e;">🐶🐰🐱 Belum ada hewan yang pernah anda adopsi. 🐝🐣🐹</p>
            {% endif %}
        </div>

    </div>
</body>


{% endblock %}